@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;600&display=swap");

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

img{
    height: 100%,;
    width: 100%;
    object-fit: cover;
}

html{
    font-family: "Nunito";
    font-size: 12px;
    font-weight: 600;
    
}
section{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    width: 100%;
    padding: 100px 0;
    background-color: rgb(26, 26,27);
}

.container{
    width: 90%;
    height: auto;
    max-width: 1200px;
    margin: 0 auto;
}

.brand{
    text-align: center;
    font-size: 4rem;
    color: whitesmoke;
    margin-bottom: 30px;
}
form{
    width: 90%;
    max-width: 400px;
    margin: 20px auto;
    background-color:rgb(223,223,223);
    border-radius: 4px;
}

 form input{
    width: 90%;
border-radius: 4px;
    background-color: transparent;
    padding: 10px;
    border: none;
    outline:none;
    font-size:2rem;
    display: inline-block;
}

form ion-icon{
width: 9%;
font-size: 3rem;
margin: -9px;
color: rgb(75,75, 75);

}

.search-result{
    margin-top:50px;
    width: 100%;
    display: grid;
    grid-gap:25px;
    grid-template:auto/repeat(auto-fit,minmax(300px,1fr))
}
.item{
    width: 100%;
    border-radius: 8px;
    background-color: rgb(37, 37, 37);
    padding: 15px;
    overflow: hidden;
}

.item img{
    width: 100%;
    height: 300px;
    border-radius: 4px;
}

 .flex-container{
    display: flex;
    align-items:center;
    justify-content: space-between;
}
 .search-result .title{
    color: whitesmoke;
    margin: 20px 10px 0 0;
    font-size: 1.8rem;
    font-weight: 400;
    
}
 .view-btn {
  text-decoration: none;
  text-align: center;
  width: 130px;
  padding: 10px 0;
  background-color: #404041;
  color: whitesmoke;
  font-size: 1.4rem;
  font-weight: 600;
  margin-top: 20px;
  border-radius: 4px;
  align-self: flex-start;
}
.item-data {
  color: whitesmoke;
  display: block;
  margin-top: 10px;
  font-size: 1.4rem;
  letter-spacing: 0.05rem;
  line-height: 2rem;
}

.container.initial .brand{
    font-size: 7rem;
}

.container.initial form{
    max-width: 800px;
}
.container.initial form input{
    padding: 20px;
    font-size: 3rem;
}

@media(max-width:768px){
    .search-result{
        grid-gap:10px;
    }
    .container.initial .brand{
        font-size: 4rem
    }

    .container.initial form{
        max-width: 500px;
    }

    .container.initial form input {
        padding:10px;
        font-size: 2rem;
    }
}